Subject: bug#900: procps: w does not query elogind for sessions

From: Andrew Bower <[email-masked]>
Date: Tue, 29 Jul 2025 21:26:52 +0100

On Tue, Jul 29, 2025 at 11:10:45AM +0100, Mark Hindley wrote:
 > > Devuan systems without elogind are viable (I use sway/seatd as my daily 
> > > driver) so just adding elogind support to procps isn't a universal 
> > > solution.
> > 
> > Does sway/seatd write to utmp? Does it do anything else?
> 
> I think not: I run it from the console, so it relies on login(1).

I take it from this that you currently don't get any login entries,
then?

> > > Do you have a suggestion or idea as to a way forward?
> > 
> > I see we have forked util-linux, so one thing we could do is to fix the
> > build of login(1) to restore writing to utmp, for virtual console
> > logins. That assumes that this is what has actually been broken - I
> > haven't checked yet.
> 
> That seems sane. I'll see if I can find the commit.

Looking at the following, utmp writing had already been turned off in
src:shadow before util-linux took the command over.

https://salsa.debian.org/debian/util-linux/-/commit/0fa51ed784e19e58f8e04e43aabc3f324d4135f7#4c5d3c697d7b8f925a7d3b18f168f4c51cbdb43f

I haven't found the point in the old package where it was turned off,
unless it was implicit with the --enable-logind flag:

https://salsa.debian.org/debian/shadow/-/commit/1526e6cde87c48e0691c9e8cd2ca9755adcfd4b6

I haven't investigated very thoroughly.